module RubyRising
  module InjectionHelper
    def collect_instance_variables(**options)
      exceptions = options[:without] || options[:black_list] || options[:except] || []
      hash = {}
      variables = instance_variables - Injectable.configuration.black_list
      variables -= exceptions
      variables.each do |var|
        hash[var.to_sym] = instance_variable_get(var)
      end
      return hash
    end
  end
end
