require "type_verification/version"
require "type_verification/exceptions"

module RubyRising
  module TypeVerification
    def verify_type_of(item, is:)
      return true unless item.class != is && item.class != NilClass
      raise RubyRising::TypeVerification::InvalidTypeError, "attribute can only be set to an instance of #{is}.\nWas attempted to be set to value #{item} of type #{item.class}."
    end
  end
end
